Name:		open-amp
Version:	2017.10
Release:	1%{?dist}
Summary:	Open Asymmetric Multi Processing (OpenAMP) framework project

License:	BSD
URL:		https://github.com/OpenAMP/open-amp/
Source0:	https://github.com/OpenAMP/open-amp/archive/v%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	gcc
BuildRequires:	libmetal
BuildRequires:	libmetal-devel
BuildRequires:	libsysfs-devel

%description
The OpenAMP framework provides software components that enable development of
software applications for Asymmetric Multiprocessing (AMP) systems.

%package devel
Summary: Development files for OpenAMP
%description devel
Development file for OpenAMP
baremetal, and RTOS environments.


%prep
%autosetup


%build
%cmake -DCMAKE_INSTALL_LIBDIR=%{_libdir} \
	-DCMAKE_INCLUDE_PATH=%{_includedir}/libmetal/ \
	-DCMAKE_LIBRARY_PATH=%{_libdir} \
	-DWITH_STATIC_LIB=OFF \
	-DWITH_APPS=ON .


%install
%make_install

%files
%license LICENSE
%doc README.md
%{_bindir}/echo_test-shared
%{_bindir}/echo_testd-shared
%{_bindir}/matrix_multiply-shared
%{_bindir}/matrix_multiplyd-shared
%{_bindir}/rpc_demod-shared
%{_libdir}/libopen_amp.so
%{_libdir}/libopen_amp.so.0
%{_libdir}/libopen_amp.so.0.1.0



%files devel
%license LICENSE
%{_includedir}/openamp/


%ldconfig_scriptlets


%changelog
* Fri Feb 16 2018 Jared K. Smith <jsmith@fedoraproject.org> - 2017.10-1
- Initial packaging
